package com.goafanti.common.dao;

import java.util.List;
import java.util.Map;

import com.goafanti.common.model.News;
import com.goafanti.news.bo.NewsPortalList;
import com.goafanti.news.bo.NewsSummary;
import com.goafanti.news.bo.newsInterestBo;

public interface NewsMapper {
	int deleteByPrimaryKey(Long id);

	int insert(News record);

	int insertSelective(News record);

	News selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(News record);

	int updateByPrimaryKeyWithBLOBs(News record);

	int updateByPrimaryKey(News record);

	List<NewsSummary> findList(Map<String, Object> params);

	int batchDeleteByPrimaryKey(List<String> id);

	List<NewsPortalList> findNewsList(Map<String, Object> params);

	List<NewsSummary> findIndexNewsList(Map<String, Object> params);
	
	List<NewsSummary> findJmrhNewsList(Map<String, Object> params);
	
	List<NewsPortalList> portalNewsPolicy();
	
	List<NewsPortalList> portalNewsQuestion();
	
	List<NewsSummary> findIndexNewsLists(Map<String, Object> params);

	List<newsInterestBo> newsInterest(String uid);

	
}